import React, { useState, useEffect } from 'react';
import './App.css';
import HelloUser from './components/HelloUser';
import ModalOne from './components/ModalOne';
import ModalTwo from './components/ModalTwo';


const App = () => {

  const [loaded, setLoaded] = useState(false);
  const [child, setChild] = useState(<h3>App is loading</h3>)

  useEffect(() => {
    const script = document.createElement('script');
    script.src = 'https://static.freshdev.io/fdk/2.0/assets/fresh_client.js';
    script.addEventListener('load', () => setLoaded(true));
    script.defer = false;
    document.head.appendChild(script);
  }, []);

  useEffect(() => {
    if (!loaded) return
    app.initialized().then((client) => {
      client.instance.context().then(function (data) {
        let location = data.location;
        let InstanceData = data.data
        let ModalID = '';

        if (InstanceData && InstanceData.hasOwnProperty('modalID')){
          ModalID = InstanceData.modalID
        }

        if (location === "ticket_sidebar") {
          setChild(<HelloUser client={client} />);
        }
        if (location === "modal" && ModalID === 'ModalOne') {
          setChild(<ModalOne client={client} />);
        }
        if (location === "modal" && ModalID === 'ModalTwo') {
          setChild(<ModalTwo client={client} />);
        }
      });
    });

  }, [loaded])


  return (
    <div>
      {child}
    </div>
  )
}

export default App;
