import React, { useState } from 'react'
import PropTypes from 'prop-types'
import reactLogo from '../assets/logo.svg';
import icon from '../assets/icon.svg'

const HelloUser = ({client}) => {
  const [name, setName] = useState('')

  client.data.get('contact').then((data) => {
    setName(data.contact.name)
  })

  const OpenModalOne = () => {
    client.interface.trigger("showModal", {
      title: "Information Form",
      template: "index.html",
      data: {modalID: 'ModalOne'}
    });
  }

  const OpenModalTwo = () => {
    client.interface.trigger("showModal", {
      title: "Information Form",
      template: "index.html",
      data: {modalID: 'ModalTwo'}
    });
  
  }


  return (
    <div>
      <img src={icon} className="App-logo" alt="logo" />
      <img src={reactLogo} className="App-logo" alt="logo" />
      <h3>Hi {name},</h3>
      <button onClick={OpenModalOne}>Open Modal One</button>
      <button onClick={OpenModalTwo}>Open Modal Two</button>
    </div>
  )
}

HelloUser.propTypes = {
  client: PropTypes.object
}
export default HelloUser
